AirNav RadarBox
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
 


Author Topic: MLAT stopped working after Winter 2023/2024 RPI Software update.  (Read 2016 times)

0 Members and 1 Guest are viewing this topic.

vantage

  • New Member
  • *
  • Posts: 39

I upgraded my Raspberry PI per the AirNav instructions and after that MLAT stopped working. It used to work all the time. If anyone has any suggestions, I would appreciate it. I captured all the output from the commands to help diagnose the problem but when I try to post it I get:


An Error Has Occurred!
CleanTalk: *** Forbidden. [my email adress]: Mail domain for disposable emails. Contains contacts. Message seems to be spam. ***

The commands I ran but system will not let me post the output from:


uname -a   

lsb_release -a

apt-cache policy rbfeeder

apt-cache policy mlat-client

apt-cache policy python3   

sudo systemctl status rbfeeder


cat /etc/rbfeeder.ini


abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #1 on: January 12, 2024, 06:44:12 PM »
@vantage

Please take screenshots and post as images. Please see screenshots attached below
« Last Edit: January 12, 2024, 06:53:58 PM by abcd567 »

vantage

  • New Member
  • *
  • Posts: 39
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #2 on: January 12, 2024, 07:06:27 PM »



« Last Edit: January 12, 2024, 07:12:14 PM by vantage »

abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #3 on: January 12, 2024, 11:40:21 PM »
Everything seems good.
Cannot understand why mlat is not working.

vantage

  • New Member
  • *
  • Posts: 39
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #4 on: January 13, 2024, 12:27:38 AM »
Is there an explicit MLAT process or is it  part of another one? See screen shot what's running.

abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #5 on: January 13, 2024, 02:39:40 AM »
Please see screenshot of "top" on my Pi.
The mlat-client is shown used by:

Left-most column:
- adsbexchange
- adsbfi
- adsblol
- rbfeeder

Corresponding Right-most column
- mlat-client
- mlat-client
- mlat-client
- mlat-client




« Last Edit: January 13, 2024, 02:45:41 AM by abcd567 »

abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #6 on: January 13, 2024, 04:51:57 AM »
Better reinstall mlat-client

Code: [Select]
sudo apt install --reinstall mlat-client 

sudo reboot

sudo systemctl status rbfeeder 

top




Runway 31

  • Moderator
  • Hero Member
  • *****
  • Posts: 33561
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #7 on: January 13, 2024, 09:43:40 PM »
abcd 

As he is using Buster should he not be on python3.7 for MLAT as i note python 3.5 in the ini file under MLAT

Alan

abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #8 on: January 13, 2024, 11:03:49 PM »
Hi Alan
In the ini file, mlat_cmd line is commented out ( a # at it's start, due to which line color is blue). Therefore this line is ignored by rbfeeder and is ineffective. The rbfeeder itself finds & uses the appropriate python version available.

For example on my Bookworm, the python version available is 3.11 and although ini file shows python version 3.9, since this line is commented-out, the rbfeeder selects and uses available version 3.11. Please see screenshot attached.

« Last Edit: January 14, 2024, 12:16:07 AM by abcd567 »

Runway 31

  • Moderator
  • Hero Member
  • *****
  • Posts: 33561
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #9 on: January 14, 2024, 02:52:04 PM »
Thanks for the info abcd

Alan

vantage

  • New Member
  • *
  • Posts: 39
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #10 on: January 15, 2024, 02:16:30 AM »
Better reinstall mlat-client

Code: [Select]
sudo apt install --reinstall mlat-client 

sudo reboot

sudo systemctl status rbfeeder 

top


Did the above and there seems to be a problem starting up mlat_client:
Jan 14 19:16:33 raspberrypi rbfeeder[466]:     open(pidfile, 'w').write(pid)
Jan 14 19:16:33 raspberrypi rbfeeder[466]: PermissionError: [Errno 13] Permission denied: '/run/mlat-client.pid'
Jan 14 19:17:03 raspberrypi rbfeeder[466]: Traceback (most recent call last):
Jan 14 19:17:03 raspberrypi rbfeeder[466]:   File "/usr/bin/mlat-client", line 108, in <module>
Jan 14 19:17:03 raspberrypi rbfeeder[466]:     open(pidfile, 'w').write(pid)
Jan 14 19:17:03 raspberrypi rbfeeder[466]: PermissionError: [Errno 13] Permission denied: '/run/mlat-client.pid'
« Last Edit: January 15, 2024, 02:19:47 AM by vantage »

abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #11 on: January 15, 2024, 02:55:57 AM »
It seems mlat-client supplied from RB24 repository is broken.

First purge it
Code: [Select]
sudo apt purge mlat-client



Next build and install mlat-client from source-code as per method given in following thread. Please note that although the method says for Bookworm, but it is equally good when used on Bullseye and Buster.
    
Install rbfeeder and mlat-client on Raspberry Pi OS BOOKWORM







« Last Edit: January 15, 2024, 03:31:15 AM by abcd567 »

vantage

  • New Member
  • *
  • Posts: 39
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #12 on: January 18, 2024, 04:10:14 PM »
I did the purge and followed the instructions in the posted thread. This led to more problems. See attached file.


After that I tried something else  which also failed:
Quote
sudo apt purge mlat-client
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'mlat-client' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 421 not upgraded.
pi@raspberrypi:~ $ sudo apt-get install mlat-client -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mlat-client : Depends: python3 (>= 3.9~) but 3.7.3-1 is to be installed
               Depends: python3.9:any but it is not installable
E: Unable to correct problems, you have held broken packages.

« Last Edit: January 18, 2024, 04:22:02 PM by vantage »

abcd567

  • Hero Member
  • *****
  • Posts: 844
  • CYYZ - Toronto
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #13 on: January 18, 2024, 11:58:48 PM »
I did the purge and followed the instructions in the posted thread. This led to more problems. See attached file.


After that I tried something else  which also failed:


pi@raspberrypi:~ $ sudo apt-get install mlat-client -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mlat-client : Depends: python3 (>= 3.9~) but 3.7.3-1 is to be installed
               Depends: python3.9:any but it is not installable
E: Unable to correct problems, you have held broken packages.

Using "sudo apt-get install mlat-client" wont work on Bookworm due to python version difference. The mlat-client supplied by Radarbox24 repository through "sudo apt-get install mlat-client" requires python 3.9, while Bookworm has python 3.11.

To solve this problem, build & install mlat-client on your Pi/Bookworm by method given in following thread:

Install rbfeeder and mlat-client on Raspberry Pi OS BOOKWORM



For your quick reference, I will repeat the method below:

Code: [Select]

sudo apt install -y git debhelper dh-python python3-dev python3-setuptools

git clone https://github.com/mutability/mlat-client

cd mlat-client   

sudo dpkg-buildpackage -b --no-sign   

cd ../

sudo dpkg -i mlat-client_0.2.13_*.deb

sudo apt-mark hold mlat-client 



« Last Edit: January 25, 2024, 10:24:57 AM by abcd567 »

vantage

  • New Member
  • *
  • Posts: 39
Re: MLAT stopped working after Winter 2023/2024 RPI Software update.
« Reply #14 on: January 19, 2024, 04:14:44 PM »
Thanks for all your help. MLAT is now working. Within five minutes my station was synched to 12 others.